curl --request GET \
--url https://api.swarmd.ai/relay/v1/policies/skill-restrictions \
--header 'Authorization: Bearer <token>'{
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restrictions": [
{
"policyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policyVersion": "<string>",
"policyName": "<string>",
"mode": "ALLOWLIST",
"skillIds": [
"<string>"
],
"skillNames": [
"<string>"
],
"skillTags": [
"<string>"
],
"bindingLevel": "TENANT",
"priority": 123
}
]
}Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| SERVICE | REGISTRY | READ | REGISTRY:READ |
Returns all skill restriction policies that apply to a given tenant/source/sink agent combination
curl --request GET \
--url https://api.swarmd.ai/relay/v1/policies/skill-restrictions \
--header 'Authorization: Bearer <token>'{
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restrictions": [
{
"policyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policyVersion": "<string>",
"policyName": "<string>",
"mode": "ALLOWLIST",
"skillIds": [
"<string>"
],
"skillNames": [
"<string>"
],
"skillTags": [
"<string>"
],
"bindingLevel": "TENANT",
"priority": 123
}
]
}JWT token (USER, AGENT, or SERVICE auth)
Tenant ID
Source agent ID (the calling agent)
Sink agent ID (the target agent)